
Name:		smeserver-supervisor
Version:	1.0.0
Release:	3%{?dist}
Summary:	Koozali SME Server integration of supevisord
License: 	GPL	
URL:		http://supervisord.org/		
#Source0:	%{name}-%{version}.tar.gz
Source: 	createlinks
BuildArch: 	noarch
BuildRequires: smeserver-devtools
Requires:	supervisor

%description
Koozali SME Server integration of supervisord
The supervisor is a client/server system that allows its users to control a
number of processes on UNIX-like operating systems.
licence ZPLv2.1 and BSD and MIT

%prep
%setup -c -n %{name}-%{version} -T 
mkdir -p root
cp %SOURCE0 .

%build
#cd %{name}-%{version}
perl createlinks

# could be an archive
mkdir -p root/usr/lib/systemd/system/supervisord.service.d/
printf "[Install]
WantedBy=sme-server.target" > root/usr/lib/systemd/system/supervisord.service.d/50-koozali.conf
mkdir -p root/etc/e-smith/db/configuration/defaults/supervisord
echo "enabled" > root/etc/e-smith/db/configuration/defaults/supervisord/status
echo "service" > root/etc/e-smith/db/configuration/defaults/supervisord/type

%install
rm -rf %{buildroot}
(cd root ; find . -depth -print | cpio -dump %{buildroot})
/sbin/e-smith/genfilelist %{buildroot} > %{name}-%{version}-%{release}-filelist



%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)



%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 1.0.0-3.sme
- Fix e-smith references in smeserver-supervisor [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 1.0.0-2.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Jun 23 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.0.0-1.sme
- initial Koozali SME 10 version


